Please upgrade GCC to version 8.3!

Asked by Andy Lavr on 2019-03-09

Hi!

Please upgrade GCC to version 8.3 to build on a launchpad. Even better to implement this optionally.

Best regards, Andy Lavr.

Question information

Language:
English Edit question
Status:
Solved
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Solved by:
Colin Watson
Solved:
2019-03-09
Last query:
2019-03-09
Last reply:
2019-03-09
Best Colin Watson (cjwatson) said : #1

It's up to the Ubuntu GCC maintainers if they want to do this, not to Launchpad staff. (It seems to have been done in Ubuntu disco.)

It is certainly possible to backport GCC in a PPA for use by older Ubuntu series as well, but that's a long way out of scope for what Launchpad staff can do; if it exists somewhere then you can edit a PPA's dependencies to use it. It does seem to be in https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/ppa at least as far back as Ubuntu bionic, so you could try that.

Andy Lavr (lavrandy) said : #2

>> It does seem to be in https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/ppa

Timeout error
Sorry, something just went wrong in Launchpad.

We’ve recorded what happened, and we’ll fix it as soon as possible. Apologies for the inconvenience.

Trying again in a couple of minutes might work.

(Error ID: OOPS-03719b52909c13580f670307c79045ac)

Andy Lavr (lavrandy) said : #3

Thanks Colin Watson, that solved my question.